#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "wavetoogg.h"
#include "oggtowave.h"


using namespace AbulEduAudioV1;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void slotWaveEncoderStatus(WaveToOgg::Status statusWave, WaveHeaderReader::Status statusHeader, QString cheminFichier);
    void slotWaveEncoderProcessPercent(float f);

private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();

private:
    Ui::MainWindow *ui;
    AbulEduAudioV1::WaveToOgg *m_oggEncoder;
};

#endif // MAINWINDOW_H
